aboutsummaryrefslogtreecommitdiff
path: root/binary_search_tool/common/boot_test.sh
diff options
context:
space:
mode:
authorCassidy Burden <cburden@google.com>2016-06-30 15:24:20 -0700
committerchrome-bot <chrome-bot@chromium.org>2016-07-01 11:58:13 -0700
commitc4671bdd601ff945b2cccbfe1aee9f931dc908c7 (patch)
tree4cdec6fd367b6f8a9162f4c56f18d3232a494b63 /binary_search_tool/common/boot_test.sh
parent63f13489b1a02bbbc75b46fec6ae7a817442df94 (diff)
downloadtoolchain-utils-c4671bdd601ff945b2cccbfe1aee9f931dc908c7.tar.gz
binary search tool: (Refactor) Extract common scripts into common folder
Refactor warning! Move install.sh, boot_test.sh, and interactive_test.sh into common folder so they can be shared by both package and object bisectors. To allow this sharing, sysroot_wrapper now has a setup script similar to cros_pkg. All scripts now source common/common.sh. TEST=Run unit tests, run system tests, run couple iterations of install script for both bisectors. Change-Id: I9e164b4e6b842ff321c2400201e6ac0984f99088 Reviewed-on: https://chrome-internal-review.googlesource.com/268027 Commit-Ready: Cassidy Burden <cburden@google.com> Tested-by: Cassidy Burden <cburden@google.com> Reviewed-by: Caroline Tice <cmtice@google.com>
Diffstat (limited to 'binary_search_tool/common/boot_test.sh')
-rwxr-xr-xbinary_search_tool/common/boot_test.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/binary_search_tool/common/boot_test.sh b/binary_search_tool/common/boot_test.sh
new file mode 100755
index 00000000..f58c345b
--- /dev/null
+++ b/binary_search_tool/common/boot_test.sh
@@ -0,0 +1,22 @@
+#!/bin/bash -u
+#
+# Copyright 2016 Google Inc. All Rights Reserved.
+#
+# This script pings the chromebook to determine if it has successfully booted.
+#
+# This script is intended to be used by binary_search_state.py, as
+# part of the binary search triage on ChromeOS package and object files.
+# It waits for the install script to build and install the image, then pings the
+# machine. It should return '0' if the test succeeds (the image booted); '1' if
+# the test fails (the image did not boot); and '2' if it could not determine
+# (does not apply in this case).
+#
+
+source common/common.sh
+
+# Send 3 pings and wait 3 seconds for any responsed (then timeout).
+ping -c 3 -W 3 ${BISECT_REMOTE}
+retval=$?
+
+
+exit $retval